import { h, JSX } from '../../../../react';
export interface ToastProps extends JSX.HTMLAttributes<HTMLDivElement> {
    variant?: 'default' | 'destructive';
    onClose?: () => void;
}
declare const Toast: import('../../../../react').FunctionalComponent<import('../../../../react').PropsWithoutRef<ToastProps> & {
    ref?: import('../../../../react').Ref<HTMLDivElement> | undefined;
}>;
declare const ToastAction: import('../../../../react').FunctionalComponent<import('../../../../react').PropsWithoutRef<h.JSX.HTMLAttributes<HTMLButtonElement>> & {
    ref?: import('../../../../react').Ref<HTMLButtonElement> | undefined;
}>;
declare const ToastClose: import('../../../../react').FunctionalComponent<import('../../../../react').PropsWithoutRef<h.JSX.HTMLAttributes<HTMLButtonElement>> & {
    ref?: import('../../../../react').Ref<HTMLButtonElement> | undefined;
}>;
declare const ToastTitle: import('../../../../react').FunctionalComponent<import('../../../../react').PropsWithoutRef<h.JSX.HTMLAttributes<HTMLDivElement>> & {
    ref?: import('../../../../react').Ref<HTMLDivElement> | undefined;
}>;
declare const ToastDescription: import('../../../../react').FunctionalComponent<import('../../../../react').PropsWithoutRef<h.JSX.HTMLAttributes<HTMLDivElement>> & {
    ref?: import('../../../../react').Ref<HTMLDivElement> | undefined;
}>;
type ToastActionElement = JSX.Element<typeof ToastAction>;
export { Toast, ToastAction, ToastClose, ToastTitle, ToastDescription, type ToastActionElement, };
